$(document).ready(function () {
    $("body").on('blur', '.prodcode', getitem);
    $("body").on('change', '.product', getcode);

    function getitem() {
        var prodcode = $('.prodcode').val();
        $.post('getitem.php', {prodcode: prodcode}, function (data) {
            $(".product").append(data);
        });
    }

    function getcode() {
        var codeprod = $('.product').val();
        $.post('getprodcode.php', {codeprod: codeprod}, function (data) {
            $(".prodcode").val(data);
        });
    }
});